jQuery(document).ready(function() {
    jQuery('#reorder').click(function () {
        tb_show('Reorder', '/?TB_inline=true&inlineId=cp-order-reorder-modal&width=740');
    });

    jQuery('#cp-order-reorder-modal .reorder-btn').click(function (e) {
        jQuery('.reorder-error').text('');
        var form = document.getElementById('reorder-form');
        if (form.checkValidity()) {
            jQuery('.make-reorder').hide();
            jQuery('.reorder-in-progress').show();
            jQuery('.reorder-error').text('');
            jQuery.ajax({
                url: "/wp-json/cloudprinter/v1/reorder",
                method: 'POST',
                headers: {'X-WP-Nonce': cp.nonce},
                data: jQuery('.cp-reorder-list *').serialize(),
                success: function (data) {
                    if (data.order_id) {
                        window.location = '/wp-admin/post.php?post=' + data.order_id + '&action=edit';
                    }
                    if (data.error) {
                        jQuery('.reorder-error').text(data.error);
                        jQuery('.reorder-in-progress').hide();
                        jQuery('.make-reorder').show();
                    }
                }
            });
        }
    });

    jQuery('#cp-order-reorder-modal .to-step-1').click(function (e) {
        jQuery('#reorder-step-2').hide();
        jQuery('#reorder-step-1').show();
    });

    jQuery('#cp-order-reorder-modal .to-step-2.next').click(function (e) {
        if (jQuery('.reorder-type:checked').val() == 'full-reorder') {
            jQuery('.reorder_product_ids').attr('checked', true);
            jQuery('.cp_item_reorder_description').attr('disabled', false);
        } else {
            jQuery('.reorder_product_ids').attr('checked', false);
            jQuery('.cp_item_reorder_description').attr('disabled', true);
        }
    });

    jQuery('#cp-order-reorder-modal .to-step-2').click(function (e) {
        if (jQuery('.reorder-type:checked').val() == 'full-reorder') {
            jQuery('.for-full-reorder').show()
            jQuery('.for-certain-items').hide()
        } else {
            jQuery('.for-full-reorder').hide()
            jQuery('.for-certain-items').show()
        }

        jQuery('#reorder-step-1').hide();
        jQuery('#reorder-step-3').hide();
        jQuery('#reorder-step-2').show();
    });

    jQuery('#cp-order-reorder-modal .to-step-3').click(function (e) {
        jQuery('.reorder-error').text('');
        if (!jQuery('.reorder_product_ids:checked').length) {
            jQuery('.reorder-error').text('No products selected');
            return false;
        }

        var reorderForm = document.getElementById('reorder-form')
        if (reorderForm.checkValidity()) {
            jQuery.ajax({
                url: "/wp-json/cloudprinter/v1/cp-order/shipping",
                method: 'POST',
                headers: {'X-WP-Nonce': cp.nonce},
                data: jQuery('.cp-reorder-list *').serialize(),
                success: function (data) {
                    jQuery('#reorder-shipping-methods').html(data.html);
                    jQuery('#reorder-step-2').hide();
                    jQuery('#reorder-step-3').show();
                }
            });
        }
    });

    jQuery('#cp-order-reorder-modal .reorder_product_ids').on('change', function () {
        if (jQuery(this).is(':checked')) {
            jQuery(this).closest('tr').find('.cp_item_reorder_description').removeAttr('disabled');
        } else {
            jQuery(this).closest('tr').find('.cp_item_reorder_description').attr('disabled', true);
        }
    });
});
