<?php

namespace CloudPrinterPlugin\Controllers;

use CloudPrinterPlugin\Services\CustomEmail\OrderShippedEmail;
use CloudPrinterPlugin\Services\CustomEmail\PriceMarginAlertEmail;


/**
 * Class CustomEmailController
 *
 * @copyright   2021 by CloudPrinter
 * @author      Vasyl Kushniruk <vk@cloudprinter.com>
 */
class CustomEmailController
{
    public function __construct()
    {
        // Register custom email templates
        add_filter( 'woocommerce_email_classes', [$this, 'addCustomEmailClasses'] );
    }

    /**
     * Register order shipped email template.
     */
    public function addCustomEmailClasses($emailClasses)
    {
        $emailClasses['WC_Cloudprinter_Order_Shipped'] = new OrderShippedEmail();
        $emailClasses['WC_Cloudprinter_Price_Margin_Alert'] = new PriceMarginAlertEmail();

        return $emailClasses;
    }
}
