<?php

namespace CloudPrinterPlugin\Helpers;

/**
 * Class OrderQuoteHash
 *
 * @copyright   2019 by CloudPrinter
 * @author      Vasyl Kushniruk <vk@cloudprinter.com>
 */
class OrderQuoteCacheHelper
{
    public static function set($key, $data, $expire = 180)
    {
        return set_transient($key, json_encode($data), $expire);
    }

    public static function get($key)
    {
        $result = get_transient($key);
        if ($result) {
            return json_decode($result, true);
        }

        return false;
    }

    public static function delete($key)
    {
        delete_transient($key);
    }

    public static function deleteAll($key)
    {
        delete_site_transient();
    }
}
